* Program....: CRSIMPLE.PRG
* Version....: 1.0
* Author.....: Andrew Coates
* Date.......: January 27, 1999
* Notice.....: Copyright  1999 Civil Solutions,
*   All Rights Reserved.
* Compiler...: Visual FoxPro 06.00.8167.00 for Windows
* Abstract...: Demonstrates running a Crystal Report
*  from within VFP using OLE Automation
* Changes....:

* for the MB_ constants
#INCLUDE FOXPRO.h

LOCAL loCRApp, loCRReport

* start a Crystal Reports instance
loCRApp = CREATE('Crystal.CRPE.Application')

* check it started OK
IF TYPE('loCRApp') = "O" AND ! ISNULL(loCRApp)

  * open a report
  loCRReport = .NULL.
  loCRReport = loCRApp.OpenReport(SYS(5) + SYS(2003) ;
    + '\mm1.rpt')

ELSE

  MESSAGEBOX('Could not initialise Crystal Reports', ;
    MB_ICONSTOP, 'Error')
  RETURN .F.

ENDIF

* check the report was loaded OK
IF TYPE('loCRReport') = "O" AND ! ISNULL(loCRReport)

  * refresh the data in the report
  loCRReport.DATABASE.verify()

  * print it out
  loCRReport.PrintOut(.F.)

ELSE

  MESSAGEBOX('Could not open Report', ;
    MB_ICONSTOP, 'Error')

ENDIF
